commit 7fc590329c3e83c4da6f3e8802a53595acf348a4
Author: John David Anglin <danglin@gcc.gnu.org>
Date:   Thu Aug 27 19:49:15 2020 +0000

    Fix shadd-2.c scan assembler count.
    
    2020-08-27  John David Anglin  <danglin@gcc.gnu.org>
    
    gcc/testsuite/
            * gcc.target/hppa/shadd-2.c: Adjust times to 4.

diff --git a/gcc/testsuite/gcc.target/hppa/shadd-2.c b/gcc/testsuite/gcc.target/hppa/shadd-2.c
index 34708e51597..b92f782cf0d 100644
--- a/gcc/testsuite/gcc.target/hppa/shadd-2.c
+++ b/gcc/testsuite/gcc.target/hppa/shadd-2.c
@@ -1,6 +1,6 @@
 /* { dg-do compile }  */
 /* { dg-options "-O2" }  */
-/* { dg-final { scan-assembler-times "sh.add" 2 } }  */
+/* { dg-final { scan-assembler-times "sh.add" 4 } }  */
 
 typedef struct rtx_def *rtx;
 typedef const struct rtx_def *const_rtx;

